// -*- C++ -*-

// Interface for JGFloat32 type. See JGByte.h
//
// 3/26/99 jhrg

#ifndef _jgfloat32_h
#define _jgfloat32_h 1

#ifndef __POWERPC__
#ifdef __GNUG__
#pragma interface
#endif
#endif

#include "Float32.h"

class JGFloat32: public Float32 {
private:
    dods_float32 _missing_val;

public:
    JGFloat32(const string &n = "");
    virtual ~JGFloat32() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset);

    virtual dods_float32 get_missing_value() const;
    virtual void set_missing_value(const dods_float32 &v);
    virtual void set_missing_value(const  string &attribute);
};

// $Log: JGFloat32.h,v $
// Revision 1.6.4.1  2003/06/26 09:22:14  rmorris
// ifdef'd out usage of #pragma interface for OS_X.  That's not compatible
// with dynamic typing under OS_X.
//
// Revision 1.6  2003/01/16 07:57:34  jimg
// Merged changes from release-3-2-6.
// Removed a number of files used for the client library ans sample clients.
//
// Revision 1.4.4.2  2003/01/14 05:36:46  jimg
// I added a set_missing_value(const string &) method. This lets the code
// in jgdds.cc that builds a DDS (which may contain types other than string
// if that has been configured in the dataset's DAS) set up the missing
// values using information from the DAS without doing string to value
// conversions for each numeric type in a big switch statement.
//
// Revision 1.5  2001/08/27 17:41:03  jimg
// Merged with release-3-2-2
//
// Revision 1.4.4.1  2001/08/21 15:26:42  dan
// Updated names of the set/get accessor methods for modifying the missing_value
// member field, to make the naming convention consistent with the current
// DAP usage.
//
// Revision 1.4  2000/10/10 23:36:14  jimg
// Added exception processing code.
// Added throws to the read methods.
// Changed the definition of read to match the dap library.
// Moved CVS Log entries to the end of files.
//
// Revision 1.3  1999/11/05 01:17:23  jimg
// Result of merge with release-3-1-0
//
// Revision 1.2.6.1  1999/10/24 18:31:15  dan
// Modified to support type conversion from JGOFS
// string variables to dods_float32.
//
// Revision 1.2  1999/05/05 22:57:18  jimg
// Merged Brent's String --> string changes with Dan's changes
//
// Revision 1.1  1999/03/27 01:00:34  jimg
// Added
//

#endif





