
// -*- C++ -*-

// Interface to the JGGrid ctor class. See JGByte.h
//
// jhrg 1/13/95

#ifndef _jggrid_h
#define _jggrid_h 1

#ifdef _GNUG_
#pragma interface
#endif

#include "Grid.h"

class JGGrid: public Grid {
public:
    JGGrid(const string &n = (char *)0);
    virtual ~JGGrid();
    
    virtual BaseType *ptr_duplicate();

    virtual bool read(const string &dataset);
};

/* 
 * $Log: JGGrid.h,v $
 * Revision 1.5  2000/10/10 23:36:14  jimg
 * Added exception processing code.
 * Added throws to the read methods.
 * Changed the definition of read to match the dap library.
 * Moved CVS Log entries to the end of files.
 *
 * Revision 1.4  1999/05/05 04:38:00  brent
 * convert String.h code to new stanard lib <string>
 *
 * Revision 1.3  1996/09/17 00:02:13  jimg
 * Misc changes associated with merging branch code to the trunk.
 *
 * Revision 1.2.8.1.2.1  1996/06/26 22:17:55  jimg
 * Dans changes for 2.05.
 *
 * Revision 1.2  1995/03/14  01:23:38  jimg
 * Modified so that these files are a proper subclass of the DAP classes
 * Byte, ..., Grid.
 * Added assert macros.
 * Added Jgofs.h external declarations file.
 *
 * Revision 1.1  1995/02/16  19:01:01  dan
 * JGOFS sub-class definitions for Grid.h
 *
 * Revision 1.2  1995/01/19  21:59:35  jimg
 * Added read_val from dummy_read.cc to the sample set of sub-class
 * implementations.
 * Changed the declaration of readVal in BaseType so that it names the
 * mfunc read_val (to be consistant with the other mfunc names).
 * Removed the unnecessary duplicate declaration of the abstract virtual
 * mfuncs read and (now) read_val from the classes Byte, ... Grid. The
 * declaration in BaseType is sufficient along with the decl and definition
 * in the *.cc,h files which contain the subclasses for Byte, ..., Grid.
 *
 * Revision 1.1  1995/01/19  20:20:46  jimg
 * Created as an example of subclassing the class hierarchy rooted at
 * BaseType.
 *
 */

#endif

